math/yices2 - The NetBSD Packages Collection

Yices 2 SMT solver

Yices 2 is an SMT solver that decides the satisfiability of formulas
containing uninterpreted function symbols with equality, real and
integer arithmetic, bitvectors, scalar types, and tuples. Yices 2
supports both linear and nonlinear arithmetic.

Yices 2 can process input written in the SMT-LIB notation (both
versions 2.0 and 1.2 are supported). Alternatively, you can write
specifications using Yices 2's own specification language, which
includes tuples and scalar types. You can also use Yices 2 as a
library in your software.

Build dependencies

devel/gperf pkgtools/cwrappers devel/autoconf shells/bash devel/gmake

Runtime dependencies

devel/gmp devel/gmp

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfyices2-2.6.1.tgz
NetBSD 8.0earmv7hfyices2-2.6.1.tgz
NetBSD 8.0earmv7hfyices2-2.6.1.tgz
NetBSD 8.0i386yices2-2.6.1.tgz
NetBSD 8.0i386yices2-2.6.1.tgz
NetBSD 8.0i386yices2-2.6.1.tgz
NetBSD 8.0powerpcyices2-2.6.1.tgz
NetBSD 8.0powerpcyices2-2.6.1.tgz
NetBSD 8.0powerpcyices2-2.6.1.tgz
NetBSD 8.0x86_64yices2-2.6.1.tgz
NetBSD 8.0x86_64yices2-2.6.1.tgz
NetBSD 9.0aarch64yices2-2.6.1.tgz
NetBSD 9.0aarch64yices2-2.6.1.tgz
NetBSD 9.0aarch64yices2-2.6.1.tgz
NetBSD 9.0alphayices2-2.6.1.tgz
NetBSD 9.0alphayices2-2.6.1.tgz
NetBSD 9.0alphayices2-2.6.1.tgz
NetBSD 9.0earmv6hfyices2-2.6.1.tgz
NetBSD 9.0earmv6hfyices2-2.6.1.tgz
NetBSD 9.0earmv6hfyices2-2.6.1.tgz
NetBSD 9.0earmv6hfyices2-2.6.1.tgz
NetBSD 9.0earmv7hfyices2-2.6.1.tgz
NetBSD 9.0earmv7hfyices2-2.6.1.tgz
NetBSD 9.0earmv7hfyices2-2.6.1.tgz
NetBSD 9.0earmv7hfyices2-2.6.1.tgz
NetBSD 9.0i386yices2-2.6.1.tgz
NetBSD 9.0i386yices2-2.6.1.tgz
NetBSD 9.0mips64ebyices2-2.6.1.tgz
NetBSD 9.0mips64ebyices2-2.6.1.tgz
NetBSD 9.0mips64ebyices2-2.6.1.tgz
NetBSD 9.0powerpcyices2-2.6.1.tgz
NetBSD 9.0powerpcyices2-2.6.1.tgz
NetBSD 9.0sparc64yices2-2.6.1.tgz
NetBSD 9.0sparc64yices2-2.6.1.tgz
NetBSD 9.0sparc64yices2-2.6.1.tgz
NetBSD 9.0sparc64yices2-2.6.1.tgz
NetBSD 9.0sparcyices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz
NetBSD 9.0x86_64yices2-2.6.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.